function dlc07_1()
--本剧情人物，所有人

n=flag.GetValue(44001)

if flag.GetValue(44001)==701 then

	--开始剧情
	func_start(0,0,0)	
	--播放音乐
	global.PlayMusic(167,100)
	--还原包子按钮
	global.BeginScene()
	if flag.GetValue(6001)>=151	then
		flag.SetValue(45000,1)		--开启黑包子按钮。
	elseif flag.GetValue(6001)<151	then
		flag.SetValue(45000,2)
	end
	global.EndScene()
	--建立人物
	npc.Create(1,9501,1835,4310) --夏侯
	npc.Create(850,850,2292,4666) --包子
    npc.SetAtPos(9501,1772,4314)--夏侯面向
	npc.Create(91,91,2680,4242) --问号包子
	npc.SetVisible(91,0)
	--包子的面向
	npc.SetAtPos(850,2130,4559)
	--暂时隐藏巨大包子
	npc.SetVisible(850,0)
	--隐藏唐雨柔小姜和慧哥
	npc.SetVisible(32,0)
	npc.SetVisible(31,0)
	npc.SetVisible(35,0)

	--画面渐入
	effect.FadeIn(1,0.5) --黑屏进入
	--镜头
	camera.ResetLerp(0)
	camera.ChangeCameraStatic(1880,2447,4351,1805,2421,4290)
	wt(2)
	--850包851手
	ui.Dialog(96309,0,0,91,0,0)
	ui.Dialog(96310,523,0,0,1,0)
	--夏侯，瑕，凌波龙溟四人看向包子
	npc.TurnToNpc(9501,850)
	npc.TurnToNpc(2,850)
	npc.TurnToNpc(7,850)
	npc.TurnToNpc(8,850)	
	--包子恢复
	npc.SetVisible(850,1)	
	wt(0.2)
	npc.SetAnim(2,208,2)
	ui.Dialog(96311,185,0,0,2,0)
	--包子特写
	camera.ChangeCameraStatic(2160,2455,4584,2244,2466,4637)
	npc.SetAnim(850,202,2)
	ui.Dialog(96312,0,0,850,0,0)
	ui.Dialog(96313,0,0,850,0,0)
	

	-- 加入纪录的队员
	for i=42022,42030,1
		do
			if	flag.GetValue(i)==1	then
				player.Add(p_id(i-42020),0,1)
				player.LockPlace(p_id(i-42020),0)
			end
		end
		
	--for i=1,10,1 do
		--player.LockPlace(p_id(i),0)
	--end

	func_end(0,0,1,0.7)
	
	-- 切入战斗
	battle.Begin(2051,728,1)
	
	
	end

end